import type { EncodeResult } from '../encoder/types';
import type { RegexConstruct } from '../types';
export interface CharacterClass extends RegexConstruct {
    type: 'characterClass';
    chars: string[];
    ranges: CharacterRange[];
    isInverted: boolean;
    encode: () => EncodeResult;
}
/**
 * Character range from start to end (inclusive).
 */
export interface CharacterRange {
    start: string;
    end: string;
}
export declare const any: CharacterClass;
export declare const digit: CharacterClass;
export declare const notDigit: CharacterClass;
export declare const word: CharacterClass;
export declare const notWord: CharacterClass;
export declare const whitespace: CharacterClass;
export declare const notWhitespace: CharacterClass;
export declare function charClass(...elements: CharacterClass[]): CharacterClass;
export declare function charRange(start: string, end: string): CharacterClass;
export declare function anyOf(characters: string): CharacterClass;
export declare function inverted(element: CharacterClass): CharacterClass;
//# sourceMappingURL=character-class.d.ts.map